/**
 * 간단한 로거 유틸리티
 */
const logger = {
    /**
     * 디버그 레벨 로그
     * @param {string} message - 로그 메시지
     */
    debug: (message) => {
        if (process.env.LOG_LEVEL === 'debug') {
            console.log(`[DEBUG] ${new Date().toISOString()}: ${message}`);
        }
    },

    /**
     * 정보 레벨 로그
     * @param {string} message - 로그 메시지
     */
    info: (message) => {
        console.log(`[INFO] ${new Date().toISOString()}: ${message}`);
    },

    /**
     * 경고 레벨 로그
     * @param {string} message - 로그 메시지
     */
    warn: (message) => {
        console.warn(`[WARN] ${new Date().toISOString()}: ${message}`);
    },

    /**
     * 에러 레벨 로그
     * @param {string} message - 로그 메시지
     */
    error: (message) => {
        console.error(`[ERROR] ${new Date().toISOString()}: ${message}`);
    }
};

module.exports = { logger };